<div style="padding-left: 100px; padding-right: 100px; margin: 50px;">
  <div *ngIf="loading" style="min-height: 500px; display: flex; flex-direction: column; justify-content: center; align-items: center;">
    <mat-spinner></mat-spinner>
  </div>
  <div *ngIf="conference" style="width: 100%; display: inline-block; position: relative;">
    <div style="display: flex; flex-direction: row">
      <div style="width: 50%;">
        <h1>{{conference.name}}</h1><p>{{conference.nick_name}}</p>
      </div>
      <div>
        <p>Founded: {{conference.founded}}</p>
        <p>Number of members: {{conference.member_number}}</p>
      </div>
    </div>

    <div class="container">
      <div>
        <div class="row">
          <p>Chart: </p>
          <button mat-raised-button *ngIf="!showGraph" (click)="showGraph=true">Show Graph</button>
          <button mat-raised-button *ngIf="showGraph" (click)="showGraph=false">Close</button>
        </div>

        <app-conference-graph *ngIf="showGraph" [conference]="conference"></app-conference-graph>
      </div>
    </div>

    <div class="container">
      <div>
        <div class="row">
          <p>Teams: </p>
          <button *ngIf="!showTeam" (click)="showTeam=true">Show All</button>
          <button *ngIf="showTeam" (click)="showTeam=false">Close</button>
        </div>

        <table mat-table *ngIf="showTeam" [dataSource]="conference.teams" style="width: 100%;" class="mat-elevation-z8">
          <!--- Note that these columns can be defined in any order.
                The actual rendered columns are set as a property on the row definition" -->

          <ng-container matColumnDef="image">
            <th mat-header-cell *matHeaderCellDef> Picture </th>
            <td mat-cell *matCellDef="let element"> <img style="height: 100px" src="{{element.team_img}}"/> </td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Name </th>
            <td mat-cell *matCellDef="let element"> {{element.name}} </td>
          </ng-container>

          <!-- RBI -->
          <ng-container matColumnDef="university_name">
            <th mat-header-cell *matHeaderCellDef> University </th>
            <td mat-cell *matCellDef="let element"> {{element.university_name}} </td>
          </ng-container>

          <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef> Action</th>
            <td mat-cell *matCellDef="let element"><a routerLink="/team/{{element.id}}">Details</a>  </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
      </div>
    </div>
  </div>
</div>

